Subject: bug#19541: closed (Re: bug#19541: info: non-POSIX "rm -f" still alive (NetBSD-1.6))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Nov 2020 02:35:03 +0000

Your bug report

#19541: info: non-POSIX "rm -f" still alive (NetBSD-1.6)

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19541: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19541
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19541: info: non-POSIX "rm -f" still alive (NetBSD-1.6)
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 22 Nov 2020 19:34:45 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

    my system (NetBSD 1.6) stumbled upon the configure's
    ACCEPT_INFERIOR_RM_PROGRAM check.

I'm guess that in the five years since you sent this report (sorry for
the ridiculously delayed reply), you've probably been forced to change
your system. (I use old systems too, but haven't been able to get
away with quite that old. :)

In any case, it's supposed to be possible to still allow "rm -f" to pass
by setting the envvar ACCEPT_INFERIOR_RM_PROGRAM to "yes", and rerun
configure. (E.g., message shown at bugs.gnu.org/42529.)

So, closing this for automake ... --thanks for the report, karl.

Subject: info: non-POSIX "rm -f" still alive (NetBSD-1.6)
From: <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 9 Jan 2015 14:19:52 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Since XZ Utils (xz-5.2.0) started to use the new autoconf,
my system (NetBSD 1.6) stumbled upon the configure's
ACCEPT_INFERIOR_RM_PROGRAM check.

This only indicates that I'm too lazy to upgrade the OS nor install /usr/local/gnu/bin/rm.
Just a vote that there is a "in wild" system here.
-- 
kabe